RailOpeningFeatureBuilder Class

class NXOpen.LineDesigner.RailOpeningFeatureBuilder

Bases: NXOpen.Builder

Represents a LineDesigner.RailOpeningFeature builder

To create a new instance of this class, use NXOpen.LineDesigner.LineDesignerManager.CreateRailOpeningFeatureBuilder()

Default values.

Property Value
LinearDimElevation.Value 650 (millimeters part), 25.6 (inches part)
LinearDimGateThickness.Value 37.5 (millimeters part), 1.5 (inches part)
LinearDimOpeningWidth.Value 350 (millimeters part), 14 (inches part)
OpeningAddGate 0
OpeningStyleEnum Left

New in version NX9.0.0.

Properties

Property Description
LinearDimElevation Returns the linear dim elevation
LinearDimGateThickness Returns the linear dim gate thickness
LinearDimOpeningWidth Returns the linear dim opening width
OpeningAddGate Returns or sets the opening add gate
OpeningStyleEnum Returns or sets the opening style enum
ReverseDirection Returns or sets the reverse direction
SelectPoint Returns or sets the select point
Tag Returns the Tag for this object.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetDirVector The dir vector @return
GetObject Returns the object currently being edited by this builder.
SetDirVector  
SetRailingFeature  
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

LinearDimElevation

RailOpeningFeatureBuilder.LinearDimElevation

Returns the linear dim elevation

-------------------------------------

Getter Method

Signature LinearDimElevation()

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

LinearDimGateThickness

RailOpeningFeatureBuilder.LinearDimGateThickness

Returns the linear dim gate thickness

-------------------------------------

Getter Method

Signature LinearDimGateThickness()

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

LinearDimOpeningWidth

RailOpeningFeatureBuilder.LinearDimOpeningWidth

Returns the linear dim opening width

-------------------------------------

Getter Method

Signature LinearDimOpeningWidth()

Returns:
Return type:NXOpen.Expression

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

OpeningAddGate

RailOpeningFeatureBuilder.OpeningAddGate

Returns or sets the opening add gate

-------------------------------------

Getter Method

Signature OpeningAddGate()

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature OpeningAddGate(openingAddGate)

Parameters:openingAddGate (bool) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

OpeningStyleEnum

RailOpeningFeatureBuilder.OpeningStyleEnum

Returns or sets the opening style enum

-------------------------------------

Getter Method

Signature OpeningStyleEnum()

Returns:
Return type:NXOpen.LineDesigner.RailOpeningFeatureBuilderGateOpeningStyle

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature OpeningStyleEnum(openingStyleEnum)

Parameters:openingStyleEnum (NXOpen.LineDesigner.RailOpeningFeatureBuilderGateOpeningStyle) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

ReverseDirection

RailOpeningFeatureBuilder.ReverseDirection

Returns or sets the reverse direction

-------------------------------------

Getter Method

Signature ReverseDirection()

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature ReverseDirection(reverseDirection)

Parameters:reverseDirection (bool) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

SelectPoint

RailOpeningFeatureBuilder.SelectPoint

Returns or sets the select point

-------------------------------------

Getter Method

Signature SelectPoint()

Returns:
Return type:NXOpen.Point

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

-------------------------------------

Setter Method

Signature SelectPoint(selectPoint)

Parameters:selectPoint (NXOpen.Point) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Method Detail

GetDirVector

RailOpeningFeatureBuilder.GetDirVector

The dir vector

Signature GetDirVector()

Returns:
Return type:NXOpen.Direction

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

SetDirVector

RailOpeningFeatureBuilder.SetDirVector

Signature SetDirVector(dirVector)

Parameters:dirVector (NXOpen.Direction) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

SetRailingFeature

RailOpeningFeatureBuilder.SetRailingFeature

Signature SetRailingFeature(railingFrec)

Parameters:railingFrec (NXOpen.Features.Feature) –

New in version NX9.0.0.

License requirements: ld_line_designer (“FULL LINE DESIGNER”)

Validate

RailOpeningFeatureBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.